import type { RoutesResponse } from '@/types/menu'
import { mockGetRoutes } from '@/mock'

/**
 * 获取当前用户的权限路由
 * @param token 用户 token
 * @returns RoutesResponse 包含菜单树
 *
 * TODO: 后端就绪后替换为
 * return http.get('/routes')
 */
export function getRoutes(token: string): Promise<RoutesResponse> {
  return mockGetRoutes(token)
}
